function d = NE_dist_PD_pt_pt(pt1,pt2)
% NE_dist_PD_pt_pt - distance btween two PD points
%     pt1 (1x2 vector): x,y values of point 1
%     pt2 (1x2 vector): x,y values of point 2
% On output:
%     d (float): distance between points
% Call:
%     d = NE_dist_PD_pt_pt([0,0.9],[0.5,0.5]);
% Author:
%     T. Henderson
%     UU
%     Summer 2023
%

r = 1;

d = acosh(1+2*r^2*(norm(pt2-pt1)^2/((r^2-norm(pt1)^2)*(r^2-norm(pt2)^2))));
