function d = NE_norm_PD(pt)
% NE_norm_PD - length of vector (from origin) in Poicare disk
%     pt1 (1x2 vector): x,y values of point
% On output:
%     d (float): distance from origin to point
% Call:
%     d = NE_norm_PD([0;0.9]);
% Author:
%     T. Henderson
%     UU
%     Summer 2023
%

d = acosh(1+2*(norm(pt)^2/((1-norm(pt)^2))));
